/*                Bistro development code
* 
* This code may be freely distributed and modified under the
* terms of the GNU Lesser General Public Licence.  This should
* be distributed with the code.  If you do not have a copy,
* see:
*
*     http://www.gnu.org/copyleft/lesser.html
* 
* Copyright for this code is held jointly by the individual
* authors.  These should be listed in @author doc comments.
* 
 */
package org.biobeans.modules.bistro.activity.rest;

import org.biobeans.modules.bistro.task.TaskExecutionException;

/**
 *
 * @author G. Waldon
 */
public class HTTPException extends TaskExecutionException {

    private int statusCode;
    
    public HTTPException() {
    }

    public void setStatusCode(int statusCode) {
        this.statusCode = statusCode;
    }

    public int getStatusCode() {
        return statusCode;
    }

    public HTTPException(String message) {
        super(message);
    }

    public HTTPException(Throwable cause) {
        super(cause);
    }

    public HTTPException(String message, Throwable cause) {
        super(message, cause);
    }
    
}
