/*                Bistro development code
* 
* This code may be freely distributed and modified under the
* terms of the GNU Lesser General Public Licence.  This should
* be distributed with the code.  If you do not have a copy,
* see:
*
*     http://www.gnu.org/copyleft/lesser.html
* 
* Copyright for this code is held jointly by the individual
* authors.  These should be listed in @author doc comments.
* 
 */
package org.biobeans.modules.bistro.data.iterator;

import java.util.Iterator;

/**
 * Specifies an Iterator that can be reset to some initial starting condition
 *
 * @author Tom Oinn
 */
public interface ResumableIterator extends Iterator {

    public void reset();

    public int size();

    public int[] getCurrentLocation();

}
