
/*                Bistro development code
* 
* This code may be freely distributed and modified under the
* terms of the GNU Lesser General Public Licence.  This should
* be distributed with the code.  If you do not have a copy,
* see:
*
*     http://www.gnu.org/copyleft/lesser.html
* 
* Copyright for this code is held jointly by the individual
* authors.  These should be listed in @author doc comments.
* 
 */
package org.biobeans.modules.bistro.dataflow;

/**
 * Base class for all data flow exceptions
 *
 * @author Stian Soiland
 *
 */
public class FlowException extends Exception {

    public FlowException() {
        super();
    }

    public FlowException(String arg0) {
        super(arg0);
    }

    public FlowException(String arg0, Throwable arg1) {
        super(arg0, arg1);
    }

    public FlowException(Throwable arg0) {
        super(arg0);
    }

}
