/*                Bistro development code
* 
* This code may be freely distributed and modified under the
* terms of the GNU Lesser General Public Licence.  This should
* be distributed with the code.  If you do not have a copy,
* see:
*
*     http://www.gnu.org/copyleft/lesser.html
* 
* Copyright for this code is held jointly by the individual
* authors.  These should be listed in @author doc comments.
* 
 */
package org.biobeans.modules.bistro.services;

import org.biobeans.modules.bistro.dataflow.FlowException;

/**
 * Thrown by the constructor of the Processor class when a duplicate name is
 * added.
 *
 * @author Tom Oinn
 */
public class DuplicateProcessorNameException extends FlowException {

    public DuplicateProcessorNameException(String the_message) {
        super(the_message);
    }

}
