/*                Bistro development code
* 
* This code may be freely distributed and modified under the
* terms of the GNU Lesser General Public Licence.  This should
* be distributed with the code.  If you do not have a copy,
* see:
*
*     http://www.gnu.org/copyleft/lesser.html
* 
* Copyright for this code is held jointly by the individual
* authors.  These should be listed in @author doc comments.
* 
 */
package org.biobeans.modules.bistro.task;

/* 
 * @author George Waldon
 */
public class CancelledByUserException extends TaskExecutionException {

    public CancelledByUserException() {
    }

    public CancelledByUserException(String message) {
        super(message);
    }

    public CancelledByUserException(Throwable cause) {
        super(cause);
    }

    public CancelledByUserException(String message, Throwable cause) {
        super(message, cause);
    }
}
