/*                Bistro development code
* 
* This code may be freely distributed and modified under the
* terms of the GNU Lesser General Public Licence.  This should
* be distributed with the code.  If you do not have a copy,
* see:
*
*     http://www.gnu.org/copyleft/lesser.html
* 
* Copyright for this code is held jointly by the individual
* authors.  These should be listed in @author doc comments.
* 
 */
package org.biobeans.modules.bistro.services;

import org.openide.util.Lookup;

/** Warmup task to initialize the BioService layer.
 *
 * @author George Waldon
 */
public class BistroServiceRegistryTask implements Runnable {

    @Override
    public void run() {
        BioServiceRegistry registry = Lookup.getDefault().lookup(BioServiceRegistry.class);
        ((BistroServiceRegistry) registry).initRootFolder(); //will instantiate all services
    }

    
}
